<?xml version="1.0" encoding="utf-8"?>
<FilingSummary xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Version>2.4.0.6</Version>
  <ProcessingTime />
  <ReportFormat>Html</ReportFormat>
  <ContextCount>244</ContextCount>
  <ElementCount>695</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>true</FootnotesReported>
  <SegmentCount>47</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>7</UnitCount>
  <MyReports>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>0001000 - Document - DEI Document</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/DeiDocument</Role>
      <ShortName>DEI Document</ShortName>
    </Report>
    <Report>
      <IsDefault>true</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>1001000 - Statement - CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/ConsolidatedBalanceSheets</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>1002000 - Statement - CONSOLIDATED STATEMENTS OF OPERATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/ConsolidatedStatementsOfOperations</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF OPERATIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>1003000 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/ConsolidatedStatementsOfComprehensiveLoss</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>1004000 - Statement - CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/ConsolidatedStatementsOfChangesInEquity</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>1005000 - Statement - Consolidated Statements of Cash Flows</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/ConsolidatedStatementsOfCashFlows</Role>
      <ShortName>Consolidated Statements of Cash Flows</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>2101100 - Disclosure - NATURE OF OPERATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/NatureOfOperations</Role>
      <ShortName>NATURE OF OPERATIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>2102100 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPolicies</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>2104100 - Disclosure - ACQUISITIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/Acquisitions</Role>
      <ShortName>ACQUISITIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>2105100 - Disclosure - SALE OF COALOGIX</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SaleOfCoalogix</Role>
      <ShortName>SALE OF COALOGIX</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>2106100 - Disclosure - DISCONTINUED OPERATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/DiscontinuedOperations</Role>
      <ShortName>DISCONTINUED OPERATIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>2107100 - Disclosure - OTHER INVESTMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherInvestments</Role>
      <ShortName>OTHER INVESTMENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>2108100 - Disclosure - NON-CONTROLLING INTERESTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/NonControllingInterests</Role>
      <ShortName>NON-CONTROLLING INTERESTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>2109100 - Disclosure - INVENTORY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/Inventory</Role>
      <ShortName>INVENTORY</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>2110100 - Disclosure - OTHER CURRENT ASSETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherCurrentAssets</Role>
      <ShortName>OTHER CURRENT ASSETS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>2111100 - Disclosure - PROPERTY AND EQUIPMENT, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/PropertyAndEquipmentNet</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>2112100 - Disclosure - GOODWILL AND INTANGIBLE ASSETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/GoodwillAndIntangibleAssets</Role>
      <ShortName>GOODWILL AND INTANGIBLE ASSETS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>2113100 - Disclosure - BANK DEBT AND OTHER DEBT</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/BankDebtAndOtherDebt</Role>
      <ShortName>BANK DEBT AND OTHER DEBT</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>2114100 - Disclosure - OTHER CURRENT LIABILITIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherCurrentLiabilities</Role>
      <ShortName>OTHER CURRENT LIABILITIES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>2115100 - Disclosure - ACCRUED SEVERANCE AND SEVERANCE ASSETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AccruedSeveranceAndSeveranceAssets</Role>
      <ShortName>ACCRUED SEVERANCE AND SEVERANCE ASSETS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>2116100 - Disclosure - COMMITMENTS AND CONTINGENCIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/CommitmentsAndContingencies</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>2117100 - Disclosure - EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/Equity</Role>
      <ShortName>EQUITY</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>2118100 - Disclosure - FINANCE EXPENSE, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/FinanceExpenseNet</Role>
      <ShortName>FINANCE EXPENSE, NET</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>2119100 - Disclosure - INCOME TAXES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxes</Role>
      <ShortName>INCOME TAXES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>2120100 - Disclosure - RELATED PARTY BALANCES AND TRANSACTIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/RelatedPartyBalancesAndTransactions</Role>
      <ShortName>RELATED PARTY BALANCES AND TRANSACTIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>2121100 - Disclosure - SEGMENT REPORTING</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReporting</Role>
      <ShortName>SEGMENT REPORTING</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>2122100 - Disclosure - FINANCIAL INSTRUMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/FinancialInstruments</Role>
      <ShortName>FINANCIAL INSTRUMENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>2123100 - Disclosure - FAIR VALUE MEASUREMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/FairValueMeasurements</Role>
      <ShortName>FAIR VALUE MEASUREMENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>2124100 - Disclosure - SUMMARY QUARTERLY FINANCIAL DATA</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryQuarterlyFinancialData</Role>
      <ShortName>SUMMARY QUARTERLY FINANCIAL DATA</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>2125100 - Disclosure - SUBSEQUENT EVENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SubsequentEvents</Role>
      <ShortName>SUBSEQUENT EVENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>2302302 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Amounts used in computing EPS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesAmountsUsedInComputingEpsTables</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Amounts used in computing EPS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>2304301 - Disclosure - ACQUISITIONS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AcquisitionsTables</Role>
      <ShortName>ACQUISITIONS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>2306301 - Disclosure - DISCONTINUED OPERATIONS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/DiscontinuedOperationsTables</Role>
      <ShortName>DISCONTINUED OPERATIONS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>2308301 - Disclosure - NON-CONTROLLING INTERESTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/NonControllingInterestsTables</Role>
      <ShortName>NON-CONTROLLING INTERESTS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>2309301 - Disclosure - INVENTORY (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/InventoryTables</Role>
      <ShortName>INVENTORY (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>2310301 - Disclosure - OTHER CURRENT ASSETS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherCurrentAssetsTables</Role>
      <ShortName>OTHER CURRENT ASSETS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>2311301 - Disclosure - PROPERTY AND EQUIPMENT, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/PropertyAndEquipmentNetTables</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>2312301 - Disclosure - GOODWILL AND INTANGIBLE ASSETS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/GoodwillAndIntangibleAssetsTables</Role>
      <ShortName>GOODWILL AND INTANGIBLE ASSETS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>2313301 - Disclosure - BANK DEBT AND OTHER DEBT (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/BankDebtAndOtherDebtTables</Role>
      <ShortName>BANK DEBT AND OTHER DEBT (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>2314301 - Disclosure - OTHER CURRENT LIABILITIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherCurrentLiabilitiesTables</Role>
      <ShortName>OTHER CURRENT LIABILITIES (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>2316301 - Disclosure - COMMITMENTS AND CONTINGENCIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/CommitmentsAndContingenciesTables</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>2317301 - Disclosure - EQUITY (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityTables</Role>
      <ShortName>EQUITY (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>2318301 - Disclosure - FINANCE EXPENSE, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/FinanceExpenseNetTables</Role>
      <ShortName>FINANCE EXPENSE, NET (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>2319301 - Disclosure - INCOME TAXES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesTables</Role>
      <ShortName>INCOME TAXES (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>2321301 - Disclosure - SEGMENT REPORTING (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReportingTables</Role>
      <ShortName>SEGMENT REPORTING (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>2323301 - Disclosure - FAIR VALUE MEASUREMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/FairValueMeasurementsTables</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>2324301 - Disclosure - SUMMARY QUARTERLY FINANCIAL DATA (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryQuarterlyFinancialDataTables</Role>
      <ShortName>SUMMARY QUARTERLY FINANCIAL DATA (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>2401403 - Disclosure - NATURE OF OPERATIONS Revenue Recognition (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/NatureOfOperationsRevenueRecognitionDetails</Role>
      <ShortName>NATURE OF OPERATIONS Revenue Recognition (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>2402403 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Principles of Consolidation (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesPrinciplesOfConsolidationDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Principles of Consolidation (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>2402404 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Allowance for Doubtful Accounts (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesAllowanceForDoubtfulAccountsDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Allowance for Doubtful Accounts (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>2402405 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Inventory (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesInventoryDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Inventory (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>2402406 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Impairment of Long-Lived Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesImpairmentOfLongLivedAssetsDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Impairment of Long-Lived Assets (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>2402407 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Concentration of Credit Risk (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesConcentrationOfCreditRiskDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Concentration of Credit Risk (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>2402408 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Advertising (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesAdvertisingDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Advertising (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>2402409 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Basic and Diluted Net Income (Loss) Per Share (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesBasicAndDilutedNetIncomeLossPerShareDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Basic and Diluted Net Income (Loss) Per Share (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>2402410 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Warranty Provision (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryOfSignificantAccountingPoliciesWarrantyProvisionDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES Warranty Provision (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>2404402 - Disclosure - ACQUISITIONS OmniMetrix, LLC. (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AcquisitionsOmnimetrixLlcDetails</Role>
      <ShortName>ACQUISITIONS OmniMetrix, LLC. (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>2404403 - Disclosure - ACQUISITIONS GridSense (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AcquisitionsGridsenseDetails</Role>
      <ShortName>ACQUISITIONS GridSense (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>2404404 - Disclosure - ACQUISITIONS USSI (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AcquisitionsUssiDetails</Role>
      <ShortName>ACQUISITIONS USSI (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>2404405 - Disclosure - ACQUISITION OF OMNIMETRIX Fair value of assets and liabilities acquired (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AcquisitionOfOmnimetrixFairValueOfAssetsAndLiabilitiesAcquiredDetails</Role>
      <ShortName>ACQUISITION OF OMNIMETRIX Fair value of assets and liabilities acquired (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R61.htm</HtmlFileName>
      <LongName>2404406 - Disclosure - ACQUISITIONS ACQUISITION OF OMNIMETRIX - Intangible Assets Acquired (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AcquisitionsAcquisitionOfOmnimetrixIntangibleAssetsAcquiredDetails</Role>
      <ShortName>ACQUISITIONS ACQUISITION OF OMNIMETRIX - Intangible Assets Acquired (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R62.htm</HtmlFileName>
      <LongName>2405402 - Disclosure - SALE OF COALOGIX (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SaleOfCoalogixDetails</Role>
      <ShortName>SALE OF COALOGIX (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R63.htm</HtmlFileName>
      <LongName>2406403 - Disclosure - DISCONTINUED OPERATIONS Coreworx (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/DiscontinuedOperationsCoreworxDetails</Role>
      <ShortName>DISCONTINUED OPERATIONS Coreworx (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R64.htm</HtmlFileName>
      <LongName>2406404 - Disclosure - DISCONTINUED OPERATIONS Summary of Discountinued Operations (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/DiscontinuedOperationsSummaryOfDiscountinuedOperationsDetails</Role>
      <ShortName>DISCONTINUED OPERATIONS Summary of Discountinued Operations (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R65.htm</HtmlFileName>
      <LongName>2407402 - Disclosure - OTHER INVESTMENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherInvestmentsDetails</Role>
      <ShortName>OTHER INVESTMENTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R66.htm</HtmlFileName>
      <LongName>2407403 - Disclosure - OTHER INVESTMENTS EnerTech Capital Partners (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherInvestmentsEnertechCapitalPartnersDetails</Role>
      <ShortName>OTHER INVESTMENTS EnerTech Capital Partners (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R67.htm</HtmlFileName>
      <LongName>2407404 - Disclosure - OTHER INVESTMENTS HangXing (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherInvestmentsHangxingDetails</Role>
      <ShortName>OTHER INVESTMENTS HangXing (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R68.htm</HtmlFileName>
      <LongName>2408402 - Disclosure - NON-CONTROLLING INTERESTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/NonControllingInterestsDetails</Role>
      <ShortName>NON-CONTROLLING INTERESTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R69.htm</HtmlFileName>
      <LongName>2409402 - Disclosure - INVENTORY (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/InventoryDetails</Role>
      <ShortName>INVENTORY (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R70.htm</HtmlFileName>
      <LongName>2410402 - Disclosure - OTHER CURRENT ASSETS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherCurrentAssetsDetails</Role>
      <ShortName>OTHER CURRENT ASSETS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R71.htm</HtmlFileName>
      <LongName>2411402 - Disclosure - PROPERTY AND EQUIPMENT, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/PropertyAndEquipmentNetDetails</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R72.htm</HtmlFileName>
      <LongName>2412402 - Disclosure - GOODWILL AND INTANGIBLE ASSETS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/GoodwillAndIntangibleAssetsDetails</Role>
      <ShortName>GOODWILL AND INTANGIBLE ASSETS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R73.htm</HtmlFileName>
      <LongName>2412403 - Disclosure - GOODWILL AND INTANGIBLE ASSETS Schedule of Intangibles (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/GoodwillAndIntangibleAssetsScheduleOfIntangiblesDetails</Role>
      <ShortName>GOODWILL AND INTANGIBLE ASSETS Schedule of Intangibles (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R74.htm</HtmlFileName>
      <LongName>2412404 - Disclosure - GOODWILL AND INTANGIBLE ASSETS Amortization expense - current period and prior period (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/GoodwillAndIntangibleAssetsAmortizationExpenseCurrentPeriodAndPriorPeriodDetails</Role>
      <ShortName>GOODWILL AND INTANGIBLE ASSETS Amortization expense - current period and prior period (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R75.htm</HtmlFileName>
      <LongName>2412405 - Disclosure - GOODWILL AND INTANGIBLE ASSETS Future year's amortization expense (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/GoodwillAndIntangibleAssetsFutureYearsAmortizationExpenseDetails</Role>
      <ShortName>GOODWILL AND INTANGIBLE ASSETS Future year's amortization expense (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R76.htm</HtmlFileName>
      <LongName>2413402 - Disclosure - BANK DEBT AND OTHER DEBT (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/BankDebtAndOtherDebtDetails</Role>
      <ShortName>BANK DEBT AND OTHER DEBT (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R77.htm</HtmlFileName>
      <LongName>2413403 - Disclosure - BANK DEBT AND OTHER DEBT Debt Summary (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/BankDebtAndOtherDebtDebtSummaryDetails</Role>
      <ShortName>BANK DEBT AND OTHER DEBT Debt Summary (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R78.htm</HtmlFileName>
      <LongName>2414402 - Disclosure - OTHER CURRENT LIABILITIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/OtherCurrentLiabilitiesDetails</Role>
      <ShortName>OTHER CURRENT LIABILITIES (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R79.htm</HtmlFileName>
      <LongName>2415403 - Disclosure - ACCRUED SEVERANCE AND SEVERANCE ASSETS Accrued Severance and Severance Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AccruedSeveranceAndSeveranceAssetsAccruedSeveranceAndSeveranceAssetsDetails</Role>
      <ShortName>ACCRUED SEVERANCE AND SEVERANCE ASSETS Accrued Severance and Severance Assets (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R80.htm</HtmlFileName>
      <LongName>2415404 - Disclosure - ACCRUED SEVERANCE AND SEVERANCE ASSETS Defined Contribution Plans (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/AccruedSeveranceAndSeveranceAssetsDefinedContributionPlansDetails</Role>
      <ShortName>ACCRUED SEVERANCE AND SEVERANCE ASSETS Defined Contribution Plans (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R81.htm</HtmlFileName>
      <LongName>2416403 - Disclosure - COMMITMENTS AND CONTINGENCIES Leases of property and equipment (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/CommitmentsAndContingenciesLeasesOfPropertyAndEquipmentDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES Leases of property and equipment (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R82.htm</HtmlFileName>
      <LongName>2416404 - Disclosure - COMMITMENTS AND CONTINGENCIES Guarantees (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/CommitmentsAndContingenciesGuaranteesDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES Guarantees (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R83.htm</HtmlFileName>
      <LongName>2416405 - Disclosure - COMMITMENTS AND CONTINGENCIES Royalties (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/CommitmentsAndContingenciesRoyaltiesDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES Royalties (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R84.htm</HtmlFileName>
      <LongName>2417402 - Disclosure - EQUITY General (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityGeneralDetails</Role>
      <ShortName>EQUITY General (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R85.htm</HtmlFileName>
      <LongName>2417403 - Disclosure - EQUITY Dividend Reinvestment Plan (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityDividendReinvestmentPlanDetails</Role>
      <ShortName>EQUITY Dividend Reinvestment Plan (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R86.htm</HtmlFileName>
      <LongName>2417404 - Disclosure - EQUITY Dividends (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityDividendsDetails</Role>
      <ShortName>EQUITY Dividends (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R87.htm</HtmlFileName>
      <LongName>2417405 - Disclosure - EQUITY Dividends paid (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityDividendsPaidDetails</Role>
      <ShortName>EQUITY Dividends paid (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R88.htm</HtmlFileName>
      <LongName>2417406 - Disclosure - EQUITY Capital Raise (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityCapitalRaiseDetails</Role>
      <ShortName>EQUITY Capital Raise (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R89.htm</HtmlFileName>
      <LongName>2417407 - Disclosure - EQUITY Directors and Officers (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityDirectorsAndOfficersDetails</Role>
      <ShortName>EQUITY Directors and Officers (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R90.htm</HtmlFileName>
      <LongName>2417408 - Disclosure - EQUITY Stock option activity (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityStockOptionActivityDetails</Role>
      <ShortName>EQUITY Stock option activity (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R91.htm</HtmlFileName>
      <LongName>2417409 - Disclosure - EQUITY - Non-employee option grants (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityNonEmployeeOptionGrantsDetails</Role>
      <ShortName>EQUITY - Non-employee option grants (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R92.htm</HtmlFileName>
      <LongName>2417410 - Disclosure - EQUITY Option Exercised (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityOptionExercisedDetails</Role>
      <ShortName>EQUITY Option Exercised (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R93.htm</HtmlFileName>
      <LongName>2417411 - Disclosure - EQUITY Stock Options By Exercise Price Range (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityStockOptionsByExercisePriceRangeDetails</Role>
      <ShortName>EQUITY Stock Options By Exercise Price Range (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R94.htm</HtmlFileName>
      <LongName>2417412 - Disclosure - EQUITY Weighted average fair value of options granted (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityWeightedAverageFairValueOfOptionsGrantedDetails</Role>
      <ShortName>EQUITY Weighted average fair value of options granted (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R95.htm</HtmlFileName>
      <LongName>2417413 - Disclosure - EQUITY Share-based compensation option-pricing model assumptions (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityShareBasedCompensationOptionPricingModelAssumptionsDetails</Role>
      <ShortName>EQUITY Share-based compensation option-pricing model assumptions (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R96.htm</HtmlFileName>
      <LongName>2417414 - Disclosure - EQUITY USSI Stock Option Plan (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityUssiStockOptionPlanDetails</Role>
      <ShortName>EQUITY USSI Stock Option Plan (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R97.htm</HtmlFileName>
      <LongName>2417415 - Disclosure - EQUITY Share-based compensation expense (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityShareBasedCompensationExpenseDetails</Role>
      <ShortName>EQUITY Share-based compensation expense (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R98.htm</HtmlFileName>
      <LongName>2417416 - Disclosure - EQUITY Net warrant exercise (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityNetWarrantExerciseDetails</Role>
      <ShortName>EQUITY Net warrant exercise (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R99.htm</HtmlFileName>
      <LongName>2417417 - Disclosure - EQUITY Warrants (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityWarrantsDetails</Role>
      <ShortName>EQUITY Warrants (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R100.htm</HtmlFileName>
      <LongName>2417418 - Disclosure - EQUITY - DSIT Option Plan (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityDsitOptionPlanDetails</Role>
      <ShortName>EQUITY - DSIT Option Plan (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R101.htm</HtmlFileName>
      <LongName>2417419 - Disclosure - EQUITY - DSIT Option Plan by Exercise Price Range (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityDsitOptionPlanByExercisePriceRangeDetails</Role>
      <ShortName>EQUITY - DSIT Option Plan by Exercise Price Range (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R102.htm</HtmlFileName>
      <LongName>2417420 - Disclosure - EQUITY Stock Option Activity - USSI (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityStockOptionActivityUssiDetails</Role>
      <ShortName>EQUITY Stock Option Activity - USSI (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R103.htm</HtmlFileName>
      <LongName>2417421 - Disclosure - EQUITY Warrants Activity (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityWarrantsActivityDetails</Role>
      <ShortName>EQUITY Warrants Activity (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R104.htm</HtmlFileName>
      <LongName>2417422 - Disclosure - EQUITY - Treasury Shares (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/EquityTreasurySharesDetails</Role>
      <ShortName>EQUITY - Treasury Shares (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R105.htm</HtmlFileName>
      <LongName>2418402 - Disclosure - FINANCE EXPENSE, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/FinanceExpenseNetDetails</Role>
      <ShortName>FINANCE EXPENSE, NET (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R106.htm</HtmlFileName>
      <LongName>2419402 - Disclosure - INCOME TAXES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesDetails</Role>
      <ShortName>INCOME TAXES (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R107.htm</HtmlFileName>
      <LongName>2419403 - Disclosure - INCOME TAXES composition of income tax expense (benefit) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesCompositionOfIncomeTaxExpenseBenefitDetails</Role>
      <ShortName>INCOME TAXES composition of income tax expense (benefit) (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R108.htm</HtmlFileName>
      <LongName>2419404 - Disclosure - INCOME TAXES effective income tax rates (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesEffectiveIncomeTaxRatesDetails</Role>
      <ShortName>INCOME TAXES effective income tax rates (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R109.htm</HtmlFileName>
      <LongName>2419405 - Disclosure - INCOME TAXES analysis of deferred tax assets and (liabilities) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesAnalysisOfDeferredTaxAssetsAndLiabilitiesDetails</Role>
      <ShortName>INCOME TAXES analysis of deferred tax assets and (liabilities) (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R110.htm</HtmlFileName>
      <LongName>2419406 - Disclosure - INCOME TAXES summary of tax loss carryforwards (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesSummaryOfTaxLossCarryforwardsDetails</Role>
      <ShortName>INCOME TAXES summary of tax loss carryforwards (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R111.htm</HtmlFileName>
      <LongName>2419407 - Disclosure - INCOME TAXES Uncertain Tax Positions (UTP) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesUncertainTaxPositionsUtpDetails</Role>
      <ShortName>INCOME TAXES Uncertain Tax Positions (UTP) (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R112.htm</HtmlFileName>
      <LongName>2419408 - Disclosure - INCOME TAXES Taxation in the United States (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesTaxationInUnitedStatesDetails</Role>
      <ShortName>INCOME TAXES Taxation in the United States (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R113.htm</HtmlFileName>
      <LongName>2419409 - Disclosure - INCOME TAXES Taxation in Israel (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesTaxationInIsraelDetails</Role>
      <ShortName>INCOME TAXES Taxation in Israel (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R114.htm</HtmlFileName>
      <LongName>2419410 - Disclosure - INCOME TAXES Taxation in Australia (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/IncomeTaxesTaxationInAustraliaDetails</Role>
      <ShortName>INCOME TAXES Taxation in Australia (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R115.htm</HtmlFileName>
      <LongName>2420402 - Disclosure - RELATED PARTY BALANCES AND TRANSACTIONS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/RelatedPartyBalancesAndTransactionsDetails</Role>
      <ShortName>RELATED PARTY BALANCES AND TRANSACTIONS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R116.htm</HtmlFileName>
      <LongName>2421402 - Disclosure - SEGMENT REPORTING (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReportingDetails</Role>
      <ShortName>SEGMENT REPORTING (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R117.htm</HtmlFileName>
      <LongName>2421403 - Disclosure - SEGMENT REPORTING Reconciliation of Segment Income (Loss) to Consolidated Net Income (Loss) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReportingReconciliationOfSegmentIncomeLossToConsolidatedNetIncomeLossDetails</Role>
      <ShortName>SEGMENT REPORTING Reconciliation of Segment Income (Loss) to Consolidated Net Income (Loss) (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R118.htm</HtmlFileName>
      <LongName>2421404 - Disclosure - SEGMENT REPORTING SEGMENT REPORTING - Reconciliation of total consolidated assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReportingSegmentReportingReconciliationOfTotalConsolidatedAssetsDetails</Role>
      <ShortName>SEGMENT REPORTING SEGMENT REPORTING - Reconciliation of total consolidated assets (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R119.htm</HtmlFileName>
      <LongName>2421405 - Disclosure - SEGMENT REPORTING Reconciliation of segment assets - other significant items (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReportingReconciliationOfSegmentAssetsOtherSignificantItemsDetails</Role>
      <ShortName>SEGMENT REPORTING Reconciliation of segment assets - other significant items (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R120.htm</HtmlFileName>
      <LongName>2421406 - Disclosure - SEGMENT REPORTING SEGMENT REPORTING - Revenues based on location of customer (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReportingSegmentReportingRevenuesBasedOnLocationOfCustomerDetails</Role>
      <ShortName>SEGMENT REPORTING SEGMENT REPORTING - Revenues based on location of customer (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R121.htm</HtmlFileName>
      <LongName>2421407 - Disclosure - SEGMENT REPORTING SEGMENT REPORTING - Major customers (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SegmentReportingSegmentReportingMajorCustomersDetails</Role>
      <ShortName>SEGMENT REPORTING SEGMENT REPORTING - Major customers (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R122.htm</HtmlFileName>
      <LongName>2423402 - Disclosure - FAIR VALUE MEASUREMENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/FairValueMeasurementsDetails</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R123.htm</HtmlFileName>
      <LongName>2424402 - Disclosure - SUMMARY QUARTERLY FINANCIAL DATA (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SummaryQuarterlyFinancialDataDetails</Role>
      <ShortName>SUMMARY QUARTERLY FINANCIAL DATA (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R124.htm</HtmlFileName>
      <LongName>2425401 - Disclosure - SUBSEQUENT EVENTS Acorn investment in USSI (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SubsequentEventsAcornInvestmentInUssiDetails</Role>
      <ShortName>SUBSEQUENT EVENTS Acorn investment in USSI (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R125.htm</HtmlFileName>
      <LongName>2425402 - Disclosure - SUBSEQUENT EVENTS Acorn Dividend (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SubsequentEventsAcornDividendDetails</Role>
      <ShortName>SUBSEQUENT EVENTS Acorn Dividend (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R126.htm</HtmlFileName>
      <LongName>2425403 - Disclosure - SUBSEQUENT EVENTS GridSense Employee Incentive Plan (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acornenergy.com/role/SubsequentEventsGridsenseEmployeeIncentivePlanDetails</Role>
      <ShortName>SUBSEQUENT EVENTS GridSense Employee Incentive Plan (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <Logs>
    <Log type="Info">Element acfn_NetLossFromDiscontinuedOperationsNetOfIncomeTaxesCoreworx had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExerciseableNumberDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExercisesInPeriodDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsForfeituresAndExpirationsInPeriodTotalDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsForfeituresAndExpirationsInPeriodWeightedAverageExercisePriceTotalDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsGrantsInPeriodGrossDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingWeightedAverageExercisePriceUssiOptionPlan had a mix of decimals attribute values: 0 2.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementsByShareBasedPaymentAwardOptionsExercisesForCashInPeriodWeightedAverageExercisePrice had a mix of decimals attribute values: 0 2.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementsByShareBasedPaymentAwardOptionsExercisesInPeriodWeightedAverageExercisePriceDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementsByShareBasedPaymentAwardOptionsGrantsInPeriodWeightedAverageExercisePriceDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationArrangementsByShareBasedPaymentAwardOptionsNetExercisesInPeriodWeightedAverageExercisePrice had a mix of decimals attribute values: 0 2.</Log>
    <Log type="Info">Element acfn_ShareBasedCompensationSharesAuthorizedUnderStockOptionPlansExercisePriceRangeExercisableOptionsWeightedAverageExercisePriceDsitOptionPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_SharesIssuedInDecemberCapitalRaise had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element acfn_SpecialDividendPaidPerShare had a mix of decimals attribute values: 0 2.</Log>
    <Log type="Info">Element us-gaap_ProceedsFromWarrantExercises had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_RepaymentsOfOtherDebt had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsExpectedDividendRate had a mix of decimals attribute values: 2 3.</Log>
    <Log type="Info">Element us-gaap_StockIssuedDuringPeriodSharesDividendReinvestmentPlan had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_StockIssuedDuringPeriodSharesStockOptionsExercised had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">'Shares' elements on report '1004000 - Statement - CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2406404 - Disclosure - DISCONTINUED OPERATIONS Summary of Discountinued Operations (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2413402 - Disclosure - BANK DEBT AND OTHER DEBT (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2416405 - Disclosure - COMMITMENTS AND CONTINGENCIES Royalties (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2420402 - Disclosure - RELATED PARTY BALANCES AND TRANSACTIONS (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">Process Flow-Through: 1001000 - Statement - CONSOLIDATED BALANCE SHEETS</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Dec. 31, 2009'</Log>
    <Log type="Info">Process Flow-Through: 1002000 - Statement - CONSOLIDATED STATEMENTS OF OPERATIONS</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2011'</Log>
    <Log type="Info">Process Flow-Through: 1003000 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2011'</Log>
    <Log type="Info">Process Flow-Through: 1005000 - Statement - Consolidated Statements of Cash Flows</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Feb. 15, 2012
OmniMetrix acquistion [Member]'</Log>
  </Logs>
  <InputFiles>
    <File>acfn-20121231.xml</File>
    <File>acfn-20121231.xsd</File>
    <File>acfn-20121231_cal.xml</File>
    <File>acfn-20121231_def.xml</File>
    <File>acfn-20121231_lab.xml</File>
    <File>acfn-20121231_pre.xml</File>
  </InputFiles>
  <SupplementalFiles />
  <BaseTaxonomies />
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
